Altibase.jdbc.driver.sharding.strategy

## Class StandardShardingStrategy

- java.lang.Object
- - Altibase.jdbc.driver.sharding.strategy.StandardShardingStrategy

All Implemented Interfaces:
  ShardingStrategy

    public class StandardShardingStrategy
    extends java.lang.Object
    implements ShardingStrategy

샤딩 컬럼이 하나일때의 샤딩을 처리한다.

### Constructor Summary

Constructors
Constructor and Description
`StandardShardingStrategy(ShardRangeList aShardRangeList, ShardSplitMethod aShardSplitMethod, DataNode aDefaultNode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<DataNode>` `doSharding(java.util.List<java.lang.Comparable<?>> aShardingValues)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StandardShardingStrategy

    public StandardShardingStrategy(ShardRangeList aShardRangeList,
                                    ShardSplitMethod aShardSplitMethod,
                                    DataNode aDefaultNode)

### Method Detail

#### doSharding

    public java.util.List<DataNode> doSharding(java.util.List<java.lang.Comparable<?>> aShardingValues)
                                        throws java.sql.SQLException

Specified by:
  `doSharding` in interface `ShardingStrategy`
Throws:
  `java.sql.SQLException`